> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visitorquery.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST create project webhook

> Creates a new webhook for the specified project



## OpenAPI

````yaml https://visitorquery.com/api/schema post /projects/{projectId}/webhooks
openapi: 3.0.2
info:
  title: VisitorQuery API
  version: 1.0.0
servers:
  - url: https://visitorquery.com/api/v1
security: []
tags:
  - name: Projects
    description: Projects
  - name: Checks
    description: Retrieve check results
  - name: Plans
    description: Current plan details
paths:
  /projects/{projectId}/webhooks:
    post:
      tags:
        - Webhooks
      summary: POST create project webhook
      description: Creates a new webhook for the specified project
      operationId: createWebhook
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - proxy_vpn_detect
                url:
                  type: string
                  format: uri
              required:
                - type
                - url
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    nullable: true
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: The developer API key from your account

````